﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using SimpleStackBar;

namespace GroupByIssue
{

    public class SampleData
    {
        public string Name{ get; set; }
        public string Value{ get; set; }
        public BarSeries Series { get; set; }
    }

    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<SampleData> SampleSource { get; set; }
        public MainWindow()
        {
            SampleSource = new ObservableCollection<SampleData>();
            var barSeries = new BarSeries()
            {
                DataPoints = new DataPoint[]{
                    new DataPoint(){ Value=5},
                    new DataPoint(){ Value=4},
                    new DataPoint(){ Value=1},
                    new DataPoint(){ Value=4},  
                }.ToList()
            };
            SampleSource.Add(new SampleData() { Name = "Test 1", Value = "Val 1",Series=barSeries });
            SampleSource.Add(new SampleData() { Name = "Test 2", Value = "Val 2", Series = barSeries });
            SampleSource.Add(new SampleData() { Name = "Test 3", Value = "Val 3", Series = barSeries });
            SampleSource.Add(new SampleData() { Name = "Test 4", Value = "Val 4", Series = barSeries });
            SampleSource.Add(new SampleData() { Name = "Test 5", Value = "Val 5",Series = barSeries });
            InitializeComponent();
        }
    }
}
